try {
	let e = "undefined" != typeof window ? window : "undefined" != typeof global ? global : "undefined" != typeof globalThis ? globalThis : "undefined" != typeof self ? self : {}, n = new e.Error().stack;
	n && (e._sentryDebugIds = e._sentryDebugIds || {}, e._sentryDebugIds[n] = "6ecc3b1b-73c2-4abc-8db0-c074b9ec3fed", e._sentryDebugIdIdentifier = "sentry-dbid-6ecc3b1b-73c2-4abc-8db0-c074b9ec3fed");
} catch (e) {}
import cx from "classnames";
import { jsx } from "preact/jsx-runtime";
//#region src/components/ui/molecules/InputGroup/InputGroup.tsx
var InputGroup = ({ id, isFocused, isInvalid = false, className, children }) => {
	return /* @__PURE__ */ jsx("div", {
		id,
		"data-testid": id,
		className: cx("adyen-kyc-input-group", {
			"adyen-kyc-input-group--invalid": isInvalid,
			"adyen-kyc-input-group--valid": !isInvalid,
			"adyen-kyc-input-group--focused": isFocused
		}, className),
		children
	});
};
//#endregion
export { InputGroup as t };
